WarpBuild LogoWarpBuild Docs
Reports

GET /reports/billing/docker-builder

Returns billing data for Docker Builder sessions including chart data, summary, paginated session list, and available filters.

GET
/reports/billing/docker-builder

Authorization

JWTKeyAuth
Authorization<token>

In: header

Query Parameters

start_date*string

Start date (RFC3339)

end_date*string

End date (RFC3339)

chart_group_by?string

Chart grouping: profile or arch (default: profile)

profiles?array<string>

Filter by profiles

archs?array<string>

Filter by architectures

sort_by?string

Sort column (default: timestamp)

sort_order?string

Sort order: asc or desc (default: desc)

page?integer

Page number (default: 1)

per_page?integer

Items per page (default: 50, max: 200)

format?string

Response format: json or csv (default: json)

Response Body

application/json

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/reports/billing/docker-builder?start_date=string&end_date=string"
{
  "available_filters": {
    "archs": [
      "string"
    ],
    "profiles": [
      "string"
    ]
  },
  "chart": {
    "bucket_interval_seconds": 0,
    "daily": [
      {
        "date": "string",
        "segments": [
          {
            "cost": 0,
            "job_count": 0,
            "key": "string"
          }
        ],
        "total_cost": 0
      }
    ],
    "group_by": "string"
  },
  "organization_id": "string",
  "sessions": {
    "items": [
      {
        "arch": "string",
        "cost": 0,
        "duration": 0,
        "profile": "string",
        "timestamp": "string"
      }
    ],
    "next": 0,
    "page": 0,
    "per_page": 0,
    "total_pages": 0,
    "total_rows": 0
  },
  "summary": {
    "total_cost": 0,
    "total_sessions": 0
  }
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}